Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.config.impl
Class ConfigurationModuleEndpointDistributor

    java.lang.Object
      be.ehealth.technicalconnector.config.impl.ConfigurationModuleEndpointDistributor

All Implemented Interfaces:
  ConfigurationModule

    public class ConfigurationModuleEndpointDistributor

extends Object
implements ConfigurationModule

`ConfigurationModule` to bootstrap the `EndpointDistributor`

Constructor Summary
`ConfigurationModuleEndpointDistributor()`

Method Summary
`void` | `init(Configuration config)` Method that initialise the configuration module.
`void` | `unload()` Method that restores the configuration module and reset the system to the initial situation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurationModuleEndpointDistributor

    public ConfigurationModuleEndpointDistributor()

Method Detail

### init

    public void init(Configuration config)
              throws TechnicalConnectorException

  Description copied from interface: `ConfigurationModule`
  Method that initialise the configuration module.

  Specified by:
    `init` in interface `ConfigurationModule`
  Throws:
    `TechnicalConnectorException`

### unload

    public void unload()
                throws TechnicalConnectorException

  Description copied from interface: `ConfigurationModule`
  Method that restores the configuration module and reset the system to the initial situation.

  Specified by:
    `unload` in interface `ConfigurationModule`
  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSNURSE 3.26.1 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.